%define name    stog
%define version 0.8.0
%define release %mkrel 1

Summary: A static web site generator
Name:    %{name}
Version: %{version}
Release: %{release}
Source0: http://zoggy.github.com/%{name}/%{name}-%{version}.tar.gz
Patch0:  stog-0.7-fix-install.patch
Patch1:  stog-0.8-fix-Makefile.patch
Patch2:  stog-0.8-fix-META.patch
License: GPLv3
Group:   Networking/WWW
Url:     http://zoggy.github.com/stog/
BuildRequires: ocaml-compiler
BuildRequires: ocaml-compiler-libs
BuildRequires: ocaml-findlib
BuildRequires: ocaml-ocamlnet-devel
BuildRequires: ocaml-config-file-devel
BuildRequires: ocaml-xmlm-devel
BuildRequires: ocaml-rss-devel
BuildRequires: ocaml-xtmpl-devel
Suggests: highlight
Suggests: texlive

%description
Stog is a kind of Jekyll in OCaml: It is a static web site generator,
able to handle blog posts as well as regular pages.

%package -n ocaml-%{name}
Summary: Runtime files for %{name}
Group:   Development/OCaml
Requires: ocaml-ocamlnet
Requires: ocaml-config-file
Requires: ocaml-xmlm
Requires: ocaml-rss
Requires: ocaml-xtmpl
Requires: ocaml-pcre

%description -n ocaml-%{name}
The ocaml-%{name} package contains the bytecode libraries for running
applications that use %{name}.

%package -n ocaml-%{name}-devel
Summary: Development files for %{name}
Group:   Development/OCaml
Requires: ocaml-%{name} = %{version}-%{release}
Requires: ocaml-ocamlnet-devel
Requires: ocaml-config-file-devel
Requires: ocaml-xmlm-devel
Requires: ocaml-rss-devel
Requires: ocaml-xtmpl-devel
Requires: ocaml-pcre-devel

%description -n ocaml-%{name}-devel
The ocaml-%{name}-devel package contains the signature
files for developing applications that use %{name}.

%prep
%setup -q
%patch0
%patch1 -p1
%patch2 -p1

%build
make

%install
export DESTDIR=%{buildroot}
export OCAMLFIND_DESTDIR=%{buildroot}/%{_libdir}/ocaml
mkdir -p $OCAMLFIND_DESTDIR/stog
mkdir -p %{buildroot}%{_bindir}
make install BINDIR=%{buildroot}%{_bindir}

%files
%{_bindir}/stog
%{_bindir}/stog.byte
%{_bindir}/mk-stog
%{_bindir}/mk-stog.byte
%{_bindir}/mk-stog-ocaml-session

%files -n ocaml-%{name}
%{_bindir}/stog-ocaml-session
%{_libdir}/ocaml/%{name}/META
%{_libdir}/ocaml/%{name}/*.cma
%{_libdir}/ocaml/%{name}/*.cmi
%{_libdir}/ocaml/%{name}/*.cmo
%{_libdir}/ocaml/%{name}/*.cmxs


%files -n ocaml-%{name}-devel
%doc doc/
%{_libdir}/ocaml/%{name}/*.a
%{_libdir}/ocaml/%{name}/*.o
%{_libdir}/ocaml/%{name}/*.cmx
%{_libdir}/ocaml/%{name}/*.cmxa


%changelog

* Sun Apr 07 2013 malo <malo> 0.8.0-1.mga3
+ Revision: 409001
- update to 0.8

* Fri Feb 22 2013 malo <malo> 0.7.0-1.mga3
+ Revision: 399970
- update to 0.7

* Mon Jan 14 2013 umeabot <umeabot> 0.5-2.mga3
+ Revision: 383493
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jan 07 2013 malo <malo> 0.5-1.mga3
+ Revision: 341182
- add BR for compiler-libs and pcre
- imported package stog

